package com.ruoyi.tc.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * 单位其他联系人(unit_other_contact)实体类
 * @author du
 * @since 2024/11/13 14:44
 */
@Data
@ApiModel("单位其他联系人")
@TableName(value = "unit_other_contact")
public class UnitOtherConcat  implements Serializable {

    @TableId(type = IdType.AUTO,value = "id")
    private Long id;

    @ApiModelProperty("单位id")
    @NotNull
    private Long unitId;

    @ApiModelProperty("其他联系人姓名")
    private String qtlxrxm;

    @ApiModelProperty("其他联系人联系方式")
    private String qtlxrlxfs;

    @ApiModelProperty("其他联系人邮箱")
    private String qtlxryx;

    @ApiModelProperty("其他联系人职务职称")
    private String qtlxrzwzc;

    /**
     * 创建者
     */
    @ApiModelProperty("创建者")
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新者
     */
    @ApiModelProperty("更新者")
    @TableField(fill = FieldFill.UPDATE)
    private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    @TableField(fill = FieldFill.UPDATE)
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    private String remark;
}
